Bug 184607 - maintainer update: math/matlab-R2012a-installer + name change
Summary: maintainer update: math/matlab-R2012a-installer + name change
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-08 21:10 UTC by Jason W. Bacon
Modified: 2014-02-12 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (4.29 KB, patch)
2013-12-08 21:10 UTC, Jason W. Bacon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2013-12-08 21:10:00 UTC
This upgrade generalizes the installer to handle any Matlab version, adds support for MEX compilation, adds a man page, and improves the user interface using auto-admin tools.

Fix: Patch attached.

Patch attached with submission follows:
Comment 1 dfilter service freebsd_committer 2014-02-04 21:57:35 UTC
Author: thierry
Date: Tue Feb  4 21:57:26 2014
New Revision: 342611
URL: http://svnweb.freebsd.org/changeset/ports/342611
QAT: https://qat.redports.org/buildarchive/r342611/

Log:
  This upgrade generalizes the installer to handle any Matlab version,
  adds support for MEX compilation, adds a man page, and improves the user
  interface using auto-admin tools.
  
  PR:		ports/184607
  Submitted by:	Jason Bacon <jwbacon (at) tds.net>

Added:
  head/math/matlab-installer/
     - copied from r342587, head/math/matlab-R2012a-installer/
Deleted:
  head/math/matlab-R2012a-installer/
  head/math/matlab-installer/files/
Modified:
  head/MOVED
  head/math/Makefile
  head/math/matlab-installer/Makefile
  head/math/matlab-installer/distinfo
  head/math/matlab-installer/pkg-descr

Modified: head/MOVED
==============================================================================
--- head/MOVED	Tue Feb  4 21:40:32 2014	(r342610)
+++ head/MOVED	Tue Feb  4 21:57:26 2014	(r342611)
@@ -5436,3 +5436,4 @@ sysutils/relpath||2014-02-03|Has expired
 sysutils/decomment||2014-02-03|Has expired: unfetchable distfiles
 multimedia/openmovieeditor||2014-02-03|Has expired: segfaults, upstread development ceased
 french/gfaim||2014-02-04|Abandonware
+math/matlab-R2012a-installer|matlab-installer|2014-02-04|Now it can handle any Matlab version

Modified: head/math/Makefile
==============================================================================
--- head/math/Makefile	Tue Feb  4 21:40:32 2014	(r342610)
+++ head/math/Makefile	Tue Feb  4 21:57:26 2014	(r342611)
@@ -244,7 +244,7 @@
     SUBDIR += mate-calc
     SUBDIR += mathomatic
     SUBDIR += matio
-    SUBDIR += matlab-R2012a-installer
+    SUBDIR += matlab-installer
     SUBDIR += matrix
     SUBDIR += maxima
     SUBDIR += mbasecalc

Modified: head/math/matlab-installer/Makefile
==============================================================================
--- head/math/matlab-R2012a-installer/Makefile	Tue Feb  4 18:39:42 2014	(r342587)
+++ head/math/matlab-installer/Makefile	Tue Feb  4 21:57:26 2014	(r342611)
@@ -1,32 +1,36 @@
-# Created by: Jason Bacon
+# Created by: Jason Bacon <jwbacon@tds.net>
 # $FreeBSD$
 
-PORTNAME=	matlab-R2012a-installer
-PORTVERSION=	0.1
+PORTNAME=	matlab-installer
+PORTVERSION=	0.2
 CATEGORIES=	math science java
 MASTER_SITES=	http://acadix.biz/Ports/distfiles/ \
 		http://personalpages.tds.net/~jwbacon/Ports/distfiles/
 
 MAINTAINER=	jwbacon@tds.net
-COMMENT=	Mathworks(r) Matlab installation tool
+COMMENT=	Easy installation of Linux Matlab(r) on FreeBSD
 
+LICENSE=	BSD
+
+# Move devtools depend to USE_LINUX_APPS when possible
+RUN_DEPENDS=	mount_cd9660_image:${PORTSDIR}/sysutils/diskimage-tools \
+		auto-ask:${PORTSDIR}/sysutils/auto-admin
+#		webbrowser:${PORTSDIR}/www/webbrowser \
+#		${LINUXBASE}/usr/bin/gfortran:${PORTSDIR}/devel/linux-f10-devtools
+
+USE_XZ=		yes
 USE_LINUX=	yes
-USE_LINUX_APPS=	ncurses-base
+USE_LINUX_APPS=	ncurses-base dri
 USE_JAVA=	yes
 JAVA_VERSION=	1.6+
 JAVA_OS=	linux
 JAVA_RUN=	yes
 
 NO_BUILD=	yes
-SUB_FILES=	pkg-message
-PLIST_FILES=	bin/${PORTNAME}
+PLIST_FILES=	bin/${PORTNAME} man/man1/${PORTNAME}.1.gz
 
-NO_STAGE=	yes
 do-install:
-	${MKDIR} ${PREFIX}/bin
-	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-
-post-install:
-	@${CAT} ${WRKDIR}/pkg-message
+	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/matlab-installer.1 ${STAGEDIR}${PREFIX}/man/man1
 
 .include <bsd.port.mk>

Modified: head/math/matlab-installer/distinfo
==============================================================================
--- head/math/matlab-R2012a-installer/distinfo	Tue Feb  4 18:39:42 2014	(r342587)
+++ head/math/matlab-installer/distinfo	Tue Feb  4 21:57:26 2014	(r342611)
@@ -1,2 +1,2 @@
-SHA256 (matlab-R2012a-installer-0.1.tar.gz) = 047888d53f5d2cce32598e45072693aa225cb1472b9196e521f541a3b73ba749
-SIZE (matlab-R2012a-installer-0.1.tar.gz) = 4706
+SHA256 (matlab-installer-0.2.tar.xz) = 461e694d6140000cb40350daa126ae0e8c9a1e3ee0defee8c84643460bf977b6
+SIZE (matlab-installer-0.2.tar.xz) = 6668

Modified: head/math/matlab-installer/pkg-descr
==============================================================================
--- head/math/matlab-R2012a-installer/pkg-descr	Tue Feb  4 18:39:42 2014	(r342587)
+++ head/math/matlab-installer/pkg-descr	Tue Feb  4 21:57:26 2014	(r342611)
@@ -1,5 +1,8 @@
-This port installs the prerequisites for Mathworks (r) Matlab R2012a for Linux
-and an installer script matlab-2012a-installer, which automates the somewhat
+This port installs the prerequisites for Mathworks (r) Matlab for Linux
+and an installer script (matlab-installer), which automates the somewhat
 tricky process of installing Linux Matlab.
 
-It requires installation media and a license file from Mathworks, Inc.
+Installing Matlab requires Matlab installation media and a license file and
+installation key from Mathworks, Inc.
+
+WWW: http://acadix.biz/matlab-installer.php
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 dfilter service freebsd_committer 2014-02-12 20:20:19 UTC
Author: thierry
Date: Wed Feb 12 20:20:10 2014
New Revision: 344013
URL: http://svnweb.freebsd.org/changeset/ports/344013
QAT: https://qat.redports.org/buildarchive/r344013/

Log:
  Uncomment the dependencies, as originally set in ports/184607.
  
  PR:		ports/184607
  Submitted by:	Jason Bacon <jwbacon (at) tds.net>

Modified:
  head/math/matlab-installer/Makefile

Modified: head/math/matlab-installer/Makefile
==============================================================================
--- head/math/matlab-installer/Makefile	Wed Feb 12 20:14:12 2014	(r344012)
+++ head/math/matlab-installer/Makefile	Wed Feb 12 20:20:10 2014	(r344013)
@@ -3,6 +3,7 @@
 
 PORTNAME=	matlab-installer
 PORTVERSION=	0.2
+PORTREVISION=	1
 CATEGORIES=	math science java
 MASTER_SITES=	http://acadix.biz/Ports/distfiles/ \
 		http://personalpages.tds.net/~jwbacon/Ports/distfiles/
@@ -14,9 +15,9 @@ LICENSE=	BSD
 
 # Move devtools depend to USE_LINUX_APPS when possible
 RUN_DEPENDS=	mount_cd9660_image:${PORTSDIR}/sysutils/diskimage-tools \
-		auto-ask:${PORTSDIR}/sysutils/auto-admin
-#		webbrowser:${PORTSDIR}/www/webbrowser \
-#		${LINUXBASE}/usr/bin/gfortran:${PORTSDIR}/devel/linux-f10-devtools
+		auto-ask:${PORTSDIR}/sysutils/auto-admin \
+		webbrowser:${PORTSDIR}/www/webbrowser \
+		${LINUXBASE}/usr/bin/gfortran:${PORTSDIR}/devel/linux-f10-devtools
 
 USE_XZ=		yes
 USE_LINUX=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Thierry Thomas freebsd_committer 2014-06-01 08:04:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 4 Thierry Thomas freebsd_committer 2014-06-01 08:04:32 UTC
State Changed
From-To: open->closed


Committed, thanks! 

Please consider to add the version to the license (BSD2?).